{% extends "shuup/front/macros/theme/product_information.jinja" %}

{% macro render_product_image_section(product, product_images=[]) %}
    {% set image_medias = product_images if product_images else images %}
    {% set sp = product.get_shop_instance(request.shop) %}
    {% set rel = "gallery%s" % product.id %}
    {% set product_primary_image = product.primary_image %}

    <div class="product-image-thumbnail-wrapper" id="thumbnail-scrollspy">
        <ul class="nav product-image-thumbnails desktop">
            {% for product_image in image_medias %}
                {% set product_image_thumbnail = product_image|thumbnail(size=(200, 200)) %}
                <li role="presentation" class="{% if loop.first %}active{% endif %}">
                    <a href="#product-image-{{ loop.index }}">
                        <img src="{{ product_image_thumbnail }}" alt="">
                    </a>
                </li>
            {% else %}
                <li role="presentation" class="active">
                    <a href="#product-image-0">
                        <img class="img-responsive no-image"
                            alt="{{ product.name }}"
                            src="{{ static('shuup/front/img/no_image.png') }}">
                    </a>
                </li>
            {% endfor %}
        </ul>

        <ul class="product-image-thumbnails mobile" id="product-images__controls">
            {% for product_image in image_medias %}
                {% set product_image_thumbnail = product_image|thumbnail(size=(200, 200)) %}
                <li role="presentation">
                    <a href="#" data-glide-id="{{ loop.index0 }}">
                        <img src="{{ product_image_thumbnail }}" alt="">
                    </a>
                </li>
            {% else %}
                <li role="presentation">
                    <a href="#" data-glide-id="0">
                        <img class="img-responsive no-image"
                            alt="{{ product.name }}"
                            src="{{ static('shuup/front/img/no_image.png') }}">
                    </a>
                </li>
            {% endfor %}
        </ul>
    </div>

    <div class="product-page__image">
        <div id="carousel_product_{{ product.id }}" class="product-images">
            <div class="product-images__desktop">
                {% for product_image in image_medias %}
                    {% set product_image_cropped = product_image|thumbnail(size=(700, 700)) %}
                    {% if loop|count > 1 %}
                        <a data-imagelightbox="image-multiple" href="{{ product_image.url }}" rel="{{ rel }}" class="thumbnail" id="product-image-{{ loop.index }}">
                            <img class="image"
                                src="{{ product_image_cropped }}"
                                data-title="{% if product_image.title %}{{ product_image.title }}{% endif %}"
                                data-description="{% if product_image.description %}{{ product_image.description }}{% endif %}"
                            >
                        </a>
                    {% else %}
                        <a data-imagelightbox="image" href="{{ product_image.url }}" rel="{{ rel }}" class="thumbnail" id="product-image-{{ loop.index }}">
                            <img class="image"
                                src="{{ product_image_cropped }}"
                                data-title="{% if product_image.title %}{{ product_image.title }}{% endif %}"
                                data-description="{% if product_image.description %}{{ product_image.description }}{% endif %}"
                            >
                        </a>
                    {% endif %}
                {% else %}
                    <div class="thumbnail" id="product-image-0">
                        <img class="img-responsive no-image"
                            alt="{{ product.name }}"
                            src="{{ static('shuup/front/img/no_image.png') }}">
                    </div>
                {% endfor %}
            </div>
            <div class="product-images__mobile">
                <div class="glide">
                    <div class="glide__track" data-glide-el="track">
                        <ul class="glide__slides">
                            {% for product_image in image_medias %}
                                {% set product_image_cropped = product_image|thumbnail(size=(700, 700)) %}
                                <li class="glide__slide">
                                    <div class="image" style="background-image: url({{ product_image_cropped }})"></div>
                                </li>
                            {% else %}
                                <li class="glide__slide">
                                    <div class="image" style="background-image: url({{ static('shuup/front/img/no_image.png') }})"></div>
                                </li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endmacro %}

{% macro render_product_image_js() %}{% endmacro %}
